<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@10B90B=63</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now!">
    <script state="on">
      <action>maincpu.pb@10B90B=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@103069=C8</action>
      <action>maincpu.pb@10306B=C8</action>
      <action>maincpu.pb@10306F=C8</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pb@103069=00</action>
      <action>maincpu.pb@10306B=00</action>
      <action>maincpu.pb@10306F=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Maximum POW PL1">
    <script state="run">
      <action>maincpu.pb@10307D=F0</action>
    </script>
  </cheat>

  <cheat desc="Always have SSS Rank PL1">
    <script state="run">
      <action>maincpu.pb@10B84D=07</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL1">
    <parameter>
      <item value="0x01">Princess Sissy</item>
      <item value="0x02">Mr.Jones</item>
      <item value="0x03">Lynn Baker</item>
      <item value="0x04">Elias Patrick</item>
      <item value="0x05">Jimmy</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@10B81F=0F</action>
      <action condition="(param==01)">maincpu.pb@10B823=0F</action>
      <action condition="(param==02)">maincpu.pb@10B81F=10</action>
      <action condition="(param==02)">maincpu.pb@10B823=10</action>
      <action condition="(param==02)">maincpu.pb@102225=0F</action>
      <action condition="(param==03)">maincpu.pb@10B81F=11</action>
      <action condition="(param==03)">maincpu.pb@10B823=11</action>
      <action condition="(param==03)">maincpu.pb@102225=11</action>
      <action condition="(param==04)">maincpu.pb@10B81F=12</action>
      <action condition="(param==04)">maincpu.pb@10B823=12</action>
      <action condition="(param==04)">maincpu.pb@102225=10</action>
      <action condition="(param==05)">maincpu.pb@10B81F=13</action>
      <action condition="(param==05)">maincpu.pb@10B823=13</action>
      <action condition="(param==05)">maincpu.pb@102225=12</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@102E9D=C8</action>
      <action>maincpu.pb@102E9F=C8</action>
      <action>maincpu.pb@102EA3=C8</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pb@102E9D=00</action>
      <action>maincpu.pb@102E9F=00</action>
      <action>maincpu.pb@102EA3=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Maximum POW PL2">
    <script state="run">
      <action>maincpu.pb@102EB1=F0</action>
    </script>
  </cheat>

  <cheat desc="Always have SSS Rank PL2">
    <script state="run">
      <action>maincpu.pb@10B87D=07</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL2">
    <parameter>
      <item value="0x01">Princess Sissy</item>
      <item value="0x02">Mr.Jones</item>
      <item value="0x03">Lynn Baker</item>
      <item value="0x04">Elias Patrick</item>
      <item value="0x05">Jimmy</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@10B84F=0F</action>
      <action condition="(param==01)">maincpu.pb@10B853=0F</action>
      <action condition="(param==02)">maincpu.pb@10B84F=10</action>
      <action condition="(param==02)">maincpu.pb@10B853=10</action>
      <action condition="(param==02)">maincpu.pb@1024E5=0F</action>
      <action condition="(param==03)">maincpu.pb@10B84F=11</action>
      <action condition="(param==03)">maincpu.pb@10B853=11</action>
      <action condition="(param==03)">maincpu.pb@1024E5=11</action>
      <action condition="(param==04)">maincpu.pb@10B84F=12</action>
      <action condition="(param==04)">maincpu.pb@10B853=12</action>
      <action condition="(param==04)">maincpu.pb@1024E5=10</action>
      <action condition="(param==05)">maincpu.pb@10B84F=13</action>
      <action condition="(param==05)">maincpu.pb@10B853=13</action>
      <action condition="(param==05)">maincpu.pb@1024E5=12</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Cartridge/NeoGeo Type"> <comment>Use in conjuction with the 'Skip RAM/ROM Checks' cheat for the best effect, then enable it and reset. The Home (NEOGEO) setting may open up other aspects of the game or it may even make the game unplayable.</comment>
    <parameter>
      <item value="0x80">Arcade (MVS)</item>
      <item value="0x00">Home (NEOGEO)</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@10FD82=param</action>
    </script>
  </cheat>

  <cheat desc="Skip RAM/ROM Checks"> <comment>Also allows a quicker start-up without the green screens. It's better to use together with Pre-Enable.</comment>
    <script state="on">
      <action>temp0 =maincpu.rd@C1315C</action>
      <action>temp1 =maincpu.rd@C1314E</action>
      <action>temp2 =maincpu.rd@C131E8</action>
      <action>temp3 =maincpu.rd@C13184</action>
      <action>temp4 =maincpu.rd@C1212E</action>
      <action>temp5 =maincpu.rd@C134FA</action>
    </script>
    <script state="run">
      <action condition="(maincpu.rd@C1315C==51CFFFF2)">maincpu.rd@C1315C=6000EB08</action> <!-- Euro + Japan-S2 BIOSs -->
      <action condition="(maincpu.rd@C1314E==51CFFFF2)">maincpu.rd@C1314E=6000EB16</action> <!-- Euro-S1 + Japan-S1 BIOSs -->
      <action condition="(maincpu.rd@C131E8==51CFFFF2)">maincpu.rd@C131E8=6000EA52</action> <!-- US BIOS -->
      <action condition="(maincpu.rd@C13184==51CFFFF2)">maincpu.rd@C13184=6000EAB6</action> <!-- US-E BIOS -->
      <action condition="(maincpu.rd@C1212E==51CFFFF2)">maincpu.rd@C1212E=6000EB36</action> <!-- Asia BIOS -->
      <action condition="(maincpu.rd@C134FA==51CFFFF2)">maincpu.rd@C134FA=6000E892</action> <!-- Japan BIOS -->
    </script>
    <script state="off">
      <action>maincpu.rd@C1315C=temp0 </action>
      <action>maincpu.rd@C1314E=temp1 </action>
      <action>maincpu.rd@C131E8=temp2 </action>
      <action>maincpu.rd@C13184=temp3 </action>
      <action>maincpu.rd@C1212E=temp4 </action>
      <action>maincpu.rd@C134FA=temp5 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
